<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.Development.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.Development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoFixture" Version="4.18.1" />
    <PackageReference Include="coverlet.collector" Version="3.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.TestHost" Version="7.0.20" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.7.1" />
    <PackageReference Include="NETCore.Encrypt" Version="2.1.1" />
    <PackageReference Include="Senparc.Weixin" Version="6.19.1" />
    <PackageReference Include="Senparc.Weixin.AspNet" Version="1.3.1" />
    <PackageReference Include="Senparc.Weixin.WxOpen" Version="3.20.1" />
    <PackageReference Include="Moq" Version="4.20.72" />
    <PackageReference Include="Shouldly" Version="4.2.1" />
    <PackageReference Include="SqlSugarCore" Version="5.1.4.178" />
    <PackageReference Include="xunit" Version="2.9.3" />
    <PackageReference Include="Xunit.DependencyInjection" Version="9.3.0" />
    <PackageReference Include="Xunit.DependencyInjection.AspNetCoreTesting" Version="9.0.0" />
    <PackageReference Include="xunit.runner.console" Version="2.9.3">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="xunit.runner.visualstudio" Version="3.0.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\Hotline.Api\Hotline.Api.csproj" />
    <ProjectReference Include="..\..\src\Hotline.Application\Hotline.Application.csproj" />
    <ProjectReference Include="..\..\src\Hotline.Repository.SqlSugar\Hotline.Repository.SqlSugar.csproj" />
    <ProjectReference Include="..\..\src\TianQue.Sdk\TianQue.Sdk.csproj" />
    <ProjectReference Include="..\..\src\Tr.Sdk\Tr.Sdk.csproj" />
    <ProjectReference Include="..\..\src\XF.Domain.Repository\XF.Domain.Repository.csproj" />
    <ProjectReference Include="..\..\src\XF.Domain\XF.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Xunit" />
  </ItemGroup>

</Project>
